dslreports logo
site
 
    All Forums Hot Topics Gallery
spc

spacer




how-to block ads


Search Topic:
uniqs
213
share rss forum feed


fonzbear2000
Premium
join:2005-08-09
Saint Paul, MN

A way to use older version of Flash with new version of Safari?

I recently upgraded to the newest version of Flash and as a result, videos on youtube freeze up all the time. So, I downgraded to Flash version 11.7. It works fine of Firefox and videos stopped freezing. However, on Safari with any sites that use Flash, I get an error message saying the plugin is missing. In our house, some people like to use Safari and some like Firefox so it would be great if there was a way to make Flash based media to work on Safari with Flash version 11.7. Does anyone know if this is possible and how to do it? Thanks.
--
I love my autistic brother so much!



darcilicious
Cyber Librarian
Premium
join:2001-01-02
Forest Grove, OR
kudos:4
Reviews:
·Frontier FiOS

Would downloading from here work? »www.afterdawn.com/software/netwo···versions
--
♬ Dragon of good fortune struggles with the trickster Fox ♬



fonzbear2000
Premium
join:2005-08-09
Saint Paul, MN

That's even an older version so that probably wouldn't work too well. LOL
--
I love my autistic brother so much!



Thinkdiff
Premium,MVM
join:2001-08-07
Bronx, NY
kudos:11
reply to fonzbear2000

Does the message say the plugin is missing or that it's outdated? On modern versions of OS X / Safari, it will refuse to run older versions and display the message above.

If it says plugin missing, check /Library/Internet Plug-Ins/ and make sure Flash Player.plugin is there.
--
University of Southern California - Fight On!


fonzbear2000
Premium
join:2005-08-09
Saint Paul, MN

On youtube, it says "blocked plug-in". I just read that youtube on Safari blocks older versions of Flash. Is there any way or "hack" of some kind to make older versions of Flash work on the newest version of Safari? The freezing of videos on youtube is really bad.
--
I love my autistic brother so much!


daveinpoway
Premium
join:2006-07-03
Poway, CA
kudos:2

I'm sure that the freezing videos are a problem, but keep in mind that older versions of Flash had various security vulnerabilities. No point in trading one problem for another.



Thinkdiff
Premium,MVM
join:2001-08-07
Bronx, NY
kudos:11

2 edits
reply to fonzbear2000

There's a reason Safari blocks old plugins, as daveinpoway See Profile pointed out. FWIW, I upgrade Flash today and have no issue with youtube videos. Maybe just a bad install?

For educational purposes only, the only way to use old plugins AFAIK is to disable XProtect. You really, really should not do this. Fix Flash, don't break the security structure that is in place to protect you, especially if other people are using the computer that might not be as savvy. Disabling XProtect will disable it for all malicious packages, not just Flash. Really.. just don't.
»managingosx.wordpress.com/2013/0···updater/
--
University of Southern California - Fight On!



Mike
Premium,Mod
join:2000-09-17
Pittsburgh, PA
kudos:1
reply to fonzbear2000

»www.youtube.com/html5



fonzbear2000
Premium
join:2005-08-09
Saint Paul, MN
reply to fonzbear2000

I tried uninstalling and reinstalling Flash 3 different times and still no luck. I guess I'll have to have everyone use Firefox for now.

Thanks Mike, but htlm5 doesn't work on all youtube videos.
--
I love my autistic brother so much!



Count Zero
Obama-Biden 2012
Premium
join:2007-01-18
Winston Salem, NC
reply to Mike

YouTube seems to ignore my html5 preference and just play the flash version anyways.